Summary:	An archiving and compression utility for LHarc format archives
Summary(es.UTF-8):	Crea y expande archivos en formato lharc
Summary(de.UTF-8):	erstellt und erweitert Archive im lharc-Format
Summary(fr.UTF-8):	crée et décompresse des archives au format lharc
Summary(ja.UTF-8):	高圧縮アーカイバ
Summary(pl.UTF-8):	Program archiwizujący i kompresujący, używający formatu archiwów LHarc
Summary(pt_BR.UTF-8):	Cria e expande arquivos no formato lharc
Summary(tr.UTF-8):	lharc biçimindeki arşivleri yaratır ve genişletir
Name:		lha
Version:	1.14i
Release:	17
License:	Freeware
Group:		Applications/Archiving
Source0:	http://www2m.biglobe.ne.jp/~dolphin/lha/prog/%{name}-114i.tar.gz
# Source0-md5:	5225884d557b91f04124693e2c5c9e94
Source1:	%{name}.1
Patch0:		%{name}-ext.patch
Patch1:		%{name}-time.patch
Patch2:		%{name}-sec.patch
Patch3:		%{name}-symlink.patch
Patch4:		%{name}-dir_length_bounds_check.patch
Patch5:		%{name}-security_fixes.patch
URL:		http://www2m.biglobe.ne.jp/~dolphin/lha/lha-unix.htm
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
LHA is an archiving and compression utility for LHarc format archives.
LHA is mostly used in the DOS world, but can be used under Linux to
extract DOS files from LHA archives.

Install the lha package if you need to extract DOS files from LHA
archives.

%description -l de.UTF-8
Dies ist ein Archivierungs- und Komprimierungsdienstprogramm. Es wird
überwiegend unter DOS verwendet, kann aber auch unter Linux eingesetzt
werden, um DOS-Dateien aus LHA-Archiven zu extrahieren.

%description -l es.UTF-8
LHA es un utilitario de almacenaje y compresión. Es más utilizado en
el mundo Amiga, pero puede ser usado en Linux para extraer archivos.

%description -l fr.UTF-8
Un utilitaire d'archivage et de compression. il est surtout utilisé
dans le monde DOS, mais peut être utilisé sous Linux pour extraire des
fichiers dans des archives LHA.

%description -l ja.UTF-8
LHa は効率の高い圧縮機能を持つファイルアーカイバです。

これは -lh5-, -lh6- 圧縮形式での圧縮/展開が可能なアーカイバ
LHa の UNIX 版の非正式 バージョンアップ版です。

%description -l pl.UTF-8
LHA jest programem archiwizującym i kompresującym dla archiwów w
formacie LHarc. Był używany głównie w środowisku DOS, pod Linuksem
może być użyty do rozpakowania archiwów LHA.

%description -l pt_BR.UTF-8
Este é um utilitário de armazenamento e compressão. Ele é mais
utilizado no mundo Amiga, mas pode ser usado no Linux para extrair
arquivos.

%description -l tr.UTF-8
Bu bir dosya arşivleme ve sıkıştırma programıdır. Genelde DOS
dünyasında kullanılmakla birlikte LHA arşivlerinden DOS dosyalarını
açmak için Linux altında da kullanılabilir.

%prep
%setup  -q -n %{name}-114i
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p0
%patch5 -p1

%build
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags} -DSUPPORT_LH7 -DMKSTEMP" \
	MACHINE='-DEUC -DSYSV_SYSTEM_DIR -DTZSET -DARCHIVENAME_EXTENTION=\".lha\" -DBACKUPNAME_EXTENTION=\".bak\" -DSUPPORT_LH7' \
	BINDIR=%{_bindir} \
	MANDIR=%{_mandir} \
	MANSECT=1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/{man1,ja/man1}}

install src/lha $RPM_BUILD_ROOT%{_bindir}
install %{SOURCE1} $RPM_BUILD_ROOT%{_mandir}/man1
install man/lha.man $RPM_BUILD_ROOT%{_mandir}/ja/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc change-*.txt
%lang(ja) %doc {CHANGES,PROBLEMS,README}.euc
%attr(755,root,root) %{_bindir}/lha
%{_mandir}/man1/*
%lang(ja) %{_mandir}/ja/man1/*
%changelog
* Tue Feb 24 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/lha.git;a=log;h=master

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 97b4846
- x32 rebuild
- release 17 (by relup.sh)

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> 298c05c
- dropped pre-cvs changelog

* Wed May 28 2008 Elan Ruusamäe <glen@pld-linux.org> 2e51192
- release 16

* Wed May 28 2008 Elan Ruusamäe <glen@pld-linux.org> 261d4b6
- release 15 (upgrade from fc2)

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> ab57713
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> e28548d
- converted to UTF-8

* Sun Jun 04 2006 Adam Gołębiowski <adamg@pld-linux.org> d734ca1
- working url

* Fri Apr 21 2006 Jan Rękorajski <baggins@pld-linux.org> 2d3f18d
- orphaned, outdated

* Sat Feb 25 2006 sparky <sparky@pld-linux.org> c8918e7
- pass CC

* Wed Nov 09 2005 Jakub Bogusz <qboosh@pld-linux.org> b22f65f
- fixed C desc; release 4

* Mon Dec 13 2004 hawk <hawk@pld-linux.org> e2730cf
- security fixes taken from RHEL3, fixes CAN-2004-0694, CAN-2004-0745
  CAN-2004-0769, CAN-2004-0771
- release 3, STBR

* Mon Dec 13 2004 hawk <hawk@pld-linux.org> 74f0c8a
- security patches for lha, taken from RHEL3, fixes CAN-2004-0694,
  CAN-2004-0745, CAN-2004-0769, CAN-2004-0771

* Thu Nov 25 2004 Jakub Bogusz <qboosh@pld-linux.org> a23070d
- security note

* Thu May 06 2004 twittner <twittner@pld-linux.org> c7ab86c
- rel. 2 for Ac - CAN-2004-0234, CAN-2004-0235
  (patches are taken from RH by blues)

* Wed May 05 2004 twittner <twittner@pld-linux.org> e9de96d
- builds (fixed quotation marks - please, check it)
- rel. 0.2

* Tue May 04 2004 Paweł Gołaszewski <blues@pld-linux.org> 9a9e213
- 1.14i - sec update, does not build on my system, don't have time to
  finish it

* Tue May 04 2004 Paweł Gołaszewski <blues@pld-linux.org> 8bbc4a4
- 2 patches from RH, one security...

* Tue Nov 18 2003 undefine <undefine@pld-linux.org> 31e2d54
- bump release to 3 to rebuild with ac

* Sun May 25 2003 Michal Moskal <michal@moskal.me> 2175ca8
- massive attack, adding Source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> e209575
- massive attack s/pld.org.pl/pld-linux.org/

